﻿#include <iostream>


struct student
{
	char name[32];
	int inn;
	short marks[16];
};

typedef student* pstudent;
typedef long long Long;

void Stud_Create(pstudent p, const char* name)
{
	p = (pstudent)malloc(sizeof(student));
	Stud_Init(p, name);
}

void Stud_Init(pstudent p, const char* name)
{
	strncpy_s(p->name, name, 31);
	p->inn = rand();
	for (int i = 0; i < 16; i++) p->marks[i] = 0;
}

void Stud_Print(pstudent p)
{
	printf("Name: %s [%d]\n", p->name, p->inn); 
	for (int i = 0; i < 16; i++) printf("%2d", p->marks[i]);
	printf("\n");
}

int main()
{
	pstudent p;
	Stud_Create(p,"Petrov");
	p->marks[0] = 5; p->marks[1] = 4;
	Stud_Print(p);
}
